Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 699926 - app-emulation/lxd-3.18 version bump
Summary: app-emulation/lxd-3.18 version bump
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Erik Mackdanz
URL:
Whiteboard:
Keywords: EBUILD, PATCH
Depends on:
Blocks: 697756
  Show dependency tree
 
Reported: 2019-11-12 07:14 UTC by fling
Modified: 2020-02-21 00:12 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
fixed 3.16 ebuild (lxd-3.16.ebuild,8.21 KB, text/plain)
2019-11-12 07:17 UTC, fling
Details
patch needed for 3.16 ebuild (lxd-3.16-libco-makefile-and-pc.patch,2.22 KB, patch)
2019-11-12 07:18 UTC, fling
Details | Diff
3.18 ebuild (lxd-3.18.ebuild,8.08 KB, text/plain)
2019-11-12 07:18 UTC, fling
Details
fixed 3.16 ebuild (lxd-3.16.ebuild,8.08 KB, text/plain)
2019-11-12 11:00 UTC, fling
Details
lxd-3.18.ebuild (lxd-3.18.ebuild,7.95 KB, text/plain)
2019-11-12 11:01 UTC, fling
Details

Note You need to log in before you can comment on or make changes to this bug.
Description fling 2019-11-12 07:14:57 UTC
lxd requires patched sqlite to be used, the package has the proper one bundled
this ebuild fixes configure trying to use system sqlite instead of bundled one
also includes missing libco soname fix and few minor fixes.


Reproducible: Always
Comment 1 fling 2019-11-12 07:17:41 UTC
Created attachment 595846 [details]
fixed 3.16 ebuild
Comment 2 fling 2019-11-12 07:18:17 UTC
Created attachment 595848 [details, diff]
patch needed for 3.16 ebuild
Comment 3 fling 2019-11-12 07:18:48 UTC
Created attachment 595850 [details]
3.18 ebuild
Comment 4 fling 2019-11-12 11:00:19 UTC
Created attachment 595854 [details]
fixed 3.16 ebuild
Comment 5 fling 2019-11-12 11:01:10 UTC
Created attachment 595856 [details]
lxd-3.18.ebuild
Comment 6 Jayson 2019-11-13 15:40:53 UTC
Built and restarted into a working environment on x86_64.

The config check ~NF_NAT_MASQUERADE fails on my system with kernel 4.19.

Looking forward to this version bump for the storage features introduced with lxd 3.17.
Comment 7 fling 2019-11-13 18:35:55 UTC
(In reply to Jayson from comment #6)
> The config check ~NF_NAT_MASQUERADE fails on my system with kernel 4.19.

Symbols changed in 5.1+ afaik
The ebuilds are ~amd64 and I matched the symbols with ~amd64 sources.
Comment 8 Greg Turner 2020-01-28 20:18:30 UTC
Hey just thought I'd report that I've been using variants of the 3.18 ebuild in this bug for some time with pretty good results.  Unfortunately 3.18 doesn't really like it if you are using unified cgroups which I'm trying to use here... this is a rabbit-hole I'm still exploring and hopefully I may some day return with some kind of concrete result or contribution about this.

I do have one constructive and easy thing to share already:

  newbashcomp scripts/bash/lxd-client lxc

triggers the QA nag bots;

  newbashcomp scripts/bash/lxd-client lxd.lxc
  bashcomp_alias lxd.lxc lxc

seems to work equivalently while generating less red ink during src_install.

BTW lxd-3.19 is released and I found it wasn't terribly difficult to update the ebuild here to support it (sadly what I have locally has lots of layers of bubble-gum and duct tape and would require quite a bit of goo-gone before it'd make sense to post here; but based on my experiences a more straightforward revbump shouldn't be too hard).
Comment 9 frank 2020-02-20 18:52:22 UTC
tried lxd-3.18.ebuild however lxd doesn't start (empty /var/lib/lxd):

# lxd -d --group lxd
INFO[02-20|18:44:56] LXD 3.18 is starting in normal mode      path=/var/lib/lxd
INFO[02-20|18:44:56] Kernel uid/gid map: 
INFO[02-20|18:44:56]  - u 0 100000 100000000 
INFO[02-20|18:44:56]  - g 0 100000 100000000 
INFO[02-20|18:44:56] Configured LXD uid/gid map: 
INFO[02-20|18:44:56]  - u 0 1000000 65536 
INFO[02-20|18:44:56]  - g 0 1000000 65536 
WARN[02-20|18:44:56] AppArmor support has been disabled because of lack of kernel support 
WARN[02-20|18:44:56] Couldn't find the CGroup blkio.weight, I/O weight limits will be ignored. 
INFO[02-20|18:44:56] Kernel features: 
INFO[02-20|18:44:56]  - netnsid-based network retrieval: yes 
INFO[02-20|18:44:56]  - uevent injection: yes 
INFO[02-20|18:44:56]  - seccomp listener: yes 
INFO[02-20|18:44:56]  - unprivileged file capabilities: yes 
INFO[02-20|18:44:56]  - shiftfs support: no 
INFO[02-20|18:44:56] Initializing local database 
DBUG[02-20|18:44:56] Initializing database gateway 
DBUG[02-20|18:44:56] Start database node                      id=1 address=
18:30:18.828 [DEBUG]: data dir: /var/lib/lxd/database/global
18:30:18.828 [DEBUG]: metadata1: version 1, term 0, voted for 0
18:30:18.828 [DEBUG]: metadata2: version 2, term 0, voted for 0
18:30:18.828 [DEBUG]: metadata: version 4, term 0, voted for 0
18:30:18.828 [ERROR]: probe I/O capabilities: io_setup: Function not implemented
EROR[02-20|18:44:56] Failed to start the daemon: Failed to create dqlite server: failed to create task object 
INFO[02-20|18:44:56] Starting shutdown sequence 
DBUG[02-20|18:44:56] Not unmounting temporary filesystems (containers are still running) 
Error: Failed to create dqlite server: failed to create task object